$(document).ready(function () {
  'use strict';

  var url = window.top.location.pathname; 
  var filename = url.substring(url.lastIndexOf('/')+1).replace(/\.html$/, "");
  var csvfilename = "data/" + filename + ".csv";	
  var containername = filename + "-container";
  var theader = (document.getElementById(containername).caption !== null);
	
  Papa.parse(csvfilename, {
    download: true,
	header: theader,
    delimiter: ";",
    complete: function(results) {
			var termine = '';
			if (theader) {
				termine += '<thead><tr>';
				$.each(results.meta['fields'], function(i) {
					termine += '<th>' + results.meta['fields'][i] + '</th>';
				});
				termine += '</tr></thead>';
			}
			termine += '<tbody>';
      $.each(results.data, function(i, rowData) {
				termine += '<tr>';
        $.each(rowData, function (j, cellData) {
          termine += '<td>'+cellData+'</td>';
        });
				termine += '</tr>';
      });
			termine += '</tbody>';
			$('#' + containername).html(termine);
    }
  })
});
